"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRequestFn = exports.setRequestFn = void 0;
const got_1 = require("got");
let requestFn = got_1.default;
/**
 * Sets the function to use for performing HTTP requests. Must be compatible with `got`.
 * @param fn The new request function.
 * @category Unit testing
 */
function setRequestFn(fn) {
    requestFn = fn;
}
exports.setRequestFn = setRequestFn;
/**
 * Gets the `got`-compatible function for performing HTTP requests.
 * @returns The request function.
 * @category Unit testing
 */
function getRequestFn() {
    return requestFn;
}
exports.getRequestFn = getRequestFn;
